package com.bytedance.android.livesdk.livesetting.performance.degrade;

import X.GR6;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_fuc_degrade")
public final class LiveFucDegradeSettings {
    @Group(isDefault = true, value = "default group")
    public static final GR6 DEFAULT = new GR6();
    public static final LiveFucDegradeSettings INSTANCE = new LiveFucDegradeSettings();

    public final GR6 getDEFAULT() {
        return DEFAULT;
    }

    public final boolean optimizePerformanceMonitor() {
        return getValue().LIZ;
    }

    public final GR6 getValue() {
        GR6 gr6 = (GR6) SettingsManager.INSTANCE.getValueSafely(LiveFucDegradeSettings.class);
        if (gr6 == null) {
            return DEFAULT;
        }
        return gr6;
    }

    static {
        Covode.recordClassIndex(18204);
    }
}
